﻿html, body, #fullheight {
    min-height: 100% !important;
    height: 100%;
}

.container {
    max-width: 1920px;
    width: 100%;
    /*padding: 0;*/
}

@media (min-width: 1200px) {
    .container {
        max-width: 1920px;
        width: 100%;
        padding: 0 30px 0 30px;
    }
}


html, body, #fullheight {
    min-height: 100% !important;
    height: 100%;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    /*padding-left: 15px;
    padding-right: 15px;*/
    background-color: #ffffff;
}

.header-container {
    padding: 0;
}

.menu-container {
    padding: 0px;
    min-height: 30px;
    background-color: transparent;
    position: relative;
    top: -25px;
}

textarea {
    resize: vertical;
}

footer {
    text-align: center;
}

.input-group-addon {
    background-color: #ffffff;
    border: 1px solid #ccc;
    border-radius: 2px;
}

.form-control {
    /*background-color: #fff;
    border: 1px solid #777777;*/
    /*width: 100%;*/
}

.borderless tbody tr td, .borderless tbody tr th, .borderless thead tr th {
    border: none;
    padding-top: 0px !important;
}

.contentHeader {
    border-bottom: 2px solid #0065BD; /*4px solid #ccc;*/
    /*margin-bottom: 15px;*/
    margin-top: 15px;
    /*color: #0065BD !important;*/
}

hr {
    border-bottom: 2px solid #777777 !important;
}

.content {
    padding: 10px;
    margin-left: 2px !important;
    margin-right: 2px !important;
    background-color: #F1F1F1 !important; /*#F9F9F9 !important;*/
    padding-bottom: 20px !important;
}

.banner {
    margin-top: 15px;
    margin-bottom: 15px;
}

th {
    padding-bottom: 0px !important;
    font-size: small;
}

label {
    display: inline-block;
    margin-bottom: 1px;
    font-weight: bold;
    font-size: small;
}


nav {
    background-color: #E5E5E5 !important;
    border-color: #777777 !important;
    border: none !important;
    border-radius: 0 !important;
}

.nav-divider {
    background-color: #0065BD !important;
}

.divider {
    height: 1px;
    width: 100%;
    display: block; /* for use on default inline elements like span */
    margin: 9px 0;
    overflow: hidden;
    background-color: #cccccc;
}


.navbar-default .navbar-nav > li > a {
    font-weight: 500 !important;
    color: #000000;
}

    .navbar-default .navbar-nav > li > a:hover {
        font-weight: 500 !important;
        color: #848484 !important;
    }


.page-name {
    position: absolute;
    color: aliceblue;
    top: 10px;
    background-color: #0065bd;
    padding-left: 50px;
    padding-right: 30px;
}

.head-branding {
    background-color: #0065BD;
    padding: 0;
    padding-bottom: 25px;
}

input {
    /*padding: 5px !important;*/
}

table.dataTable tbody td {
    padding: 5px !important;
    vertical-align: top;
}

.dataTables_empty {
    /* pokud tabulka vrati zaznam */
    /*background-color:#ffeecc;*/
}



.contentHeader h4 {
    margin-bottom: 5px;
}


/* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   speak for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
.loading-div {
    display: none;
    position: fixed;
    z-index: 1500;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 );
}

    .loading-div i {
        z-index: 1001;
        position: absolute;
        left: 50%;
        top: 50%;
    }

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading {
    overflow: hidden;
}

/* Anytime the body has the loading class, our
modal element will be visible */
body.loading .loading-div {
    display: block;
}

.errorInput {
    border: #a94442 solid 1px !important;
}

.successInput {
    border: #3c763d solid 1px !important;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child, table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child {
    padding-left: 30px !important;
}

.btn-block {
    margin-bottom: 5px !important;
}

.radio-inline + .radio-inline, .checkbox-inline + .checkbox-inline {
    margin-top: 0;
    margin-left: 0px !important;
}

.numeric {
    text-align: right;
}

    .numeric input {
        text-align: right;
        /*float: right;*/
    }

/* radio-button-list - check symbol */
.radio-button-list .btn i.fa {
    opacity: 0;
}

.radio-button-list .btn.active i.fa {
    opacity: 1;
}

td.actions {
    white-space: nowrap;
}

td input {
    color: inherit !important;
}

.column-search {
    width: 100% !important;
}

.datatables.print td:first-child:before {
    display: none !important;
}

/* uprava skryte karty responzivni tabulky */
table.dataTable li .dtr-title {
    /*width: 50%;*/
    display: block;
}

table.dataTable li .dtr-data {
    /*width: 50%;*/
    display: block;
}


.input-group {
    width: 100%;
}

    .input-group .addon-color {
        padding: 2px !important;
    }

    .input-group input[type=color] {
        display: block;
        padding: 0;
        margin: 0;
        border: none;
        box-shadow: none;
        background: 0 0;
        width: 100%;
    }

@media screen and (max-width: 767px) {
    li.paginate_button.previous {
        display: inline;
    }

    li.paginate_button.next {
        display: inline;
    }

    li.paginate_button {
        display: none;
    }
}


.cbx-container {
    top: 2px;
    position: relative;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102,175,233,.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102,175,233,.6);
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    border: 2px solid #0065BD;
    border-width: 2px 2px 0 2px;
}

ul.nav-tabs li.active a {
    background-color: #F1F1F1 !important;
    /* border-bottom: 2px solid #f1f1f1; */
    border: 2px solid #0065BD;
    border-width: 2px 2px 0 2px;
}

.nav-tabs {
    /* border-bottom: 1px solid #ddd; */
    border-bottom: 2px solid #0065BD;
}

    .nav-tabs > li {
        float: left;
        margin-bottom: -2px;
    }



.tabsContent {
    margin-top: 15px;
}

.li-checkbox {
    float: right;
    position: relative;
    top: -5px;
}

.confirmation {
    min-width: 200px;
}

.select2-container--default, .select2-selection--multiple {
    border-color: #ccc;
}

.fa.success {
    color: green;
}

.fa.danger {
    color: red;
}

.badge.danger {
    background-color: red;
}

.badge.success {
    background-color: green;
}

.bg-primary, .bg-success, .bg-info, .bg-warning, .bg-danger {
    padding: 15px;
}


.form-inline .form-control {
    width: 100%;
}

/* Collapse block */

a[data-toggle="collapse"] {
    display: block;
}

    a[data-toggle="collapse"]::after {
        content: '\f078';
        font-family: FontAwesome;
        margin-right: 5px;
        float: right;
        width: 1.28571429em;
        text-align: center;
    }

    a[data-toggle="collapse"].collapsed::after {
        content: '\f053';
    }

/* Obarveni chybovych hlasek cervenou */
.field-validation-error {
    color: red;
}

.result-nav-tabs {
    background-position: 0px 5px;
}

    .result-nav-tabs li:not(.active) a:hover {
        background-position: 0px 5px;
        border-bottom: none;
        padding-bottom: 9px;
    }


.artTable tr.deleted td {
    background-color: #ccc;
    color: #666;
}

.artTable tr.deleted * {
    text-decoration: line-through;
}

tfoot {
    font-weight: 600;
}

.push-bottom-10 {
    margin-bottom: 10px;
}

.push-bottom-15 {
    margin-bottom: 15px;
}

.push-bottom-20 {
    margin-bottom: 20px;
}

.push-bottom-25 {
    margin-bottom: 25px;
}

a.btn, button.btn {
    margin-bottom: 5px;
}

table.dataTable tbody tr.selected input {
    color: black;
}

.article-header {
    padding: 0 15px;
    margin-bottom: 15px;
}

.article-content {
    padding: 0 15px;
    margin-left: 0;
}

    .article-content table td {
        padding: 5px 10px;
    }

    .article-content table {
        margin: 10px 0;
    }

.cms-attributes {
    padding-left: 5px;
    margin-bottom: 15px;
}

    .cms-attributes .vertical-divider::after {
        content: " | ";
        padding: 0 6px;
    }

    .cms-attributes .fa {
        color: #0065BD;
    }

.product-category .content {
    padding: 30px;
    overflow: hidden;
}

.product-category-box {
    padding: 20px 0 20px 0;
    margin-bottom: 30px;
    box-shadow: 0 0 10px 0px #4e4d4d;
    background-color: white;
    border-radius: 3px;
}

.product-category-box-img {
	height: 150px;
	width: 150px;
	margin: auto;
	position: relative;
}

.product-category-box-img img {
	position: absolute;
	top: 0;
	bottom: 0;
	margin: auto;
	right: 0;
	left: 0;
}

.product-box-text {
    padding-left: 5px;
    padding-right: 5px;
}

    .product-box-text.btn {
        padding: 0;
    }

    .product-box-text .input-group {
        width: 50%;
        float: right;
    }

.product-box .input-group-wrapper {
    height: 20px;
}

.product-box {
}

.product-image-wrapper {
}


    .product-image-wrapper img {
        max-width: 100%;
        height: auto;
        box-shadow: 0 0 15px 0px #cdcdcd;
    }

.product-top-panel .vertial-center-block {
    padding-top: 15px;
}

.product-detail-wrapper .web-display {
    margin-bottom: 15px;
}

.product-thumbnail {
    margin-left: 10px;
    margin-right: 10px;
}

    .product-thumbnail img {
        border: 1px solid #ccc;
        border-radius: 2px;
        outline: none;
        box-shadow: 0 0 15px 0px #cdcdcd;
    }

    .product-thumbnail a {
        text-decoration: none;
        outline: none;
    }

.majorPrice {
    margin-right: 15px;
}

    .majorPrice strong {
        font-size: large;
    }


.minorPrice {
    font-size: smaller;
    /*color: #888888;*/
}

    .minorPrice strong {
    }


.customer-price .minorPrice strong {
    color: black;
}

.base-price .majorPrice, .base-price .minorPrice {
    color: #888888;
}

/* roztazeni spodnich tlacitek formularu na malem displayi */
/*
@media screen and (max-width: 991px) {
    .btn-form-footer {
        min-width: 30%;
        margin-bottom: 5px;
    }
}*/
@media screen and (max-width: 767px) {
    .btn-form-footer {
        display: block;
        width: 100%;
    }
}

@media (max-width: 767px) and (orientation:portrait) {
    .hide-xs-portrait {
        display: none;
    }
}

@media (max-width: 767px) and (orientation:landscape) {
    .hide-xs-landscape {
        display: none;
    }
}

/* oprava sparkline tootlipu s bs3*/
.jqstooltip {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

.chart-canvas {
    width: 100%;
}

.fa-additional-icon {
    position: relative;
    top: 10px;
    left: 10px;
}

.file-list {
    list-style-type: none;
}

    .file-list > li {
        margin-top: 30px;
    }

    .file-list a img {
        margin-right: 10px;
    }


/* pro internet explorer */
.img-responsive, .thumbnail > img, .thumbnail a > img, .carousel-inner > .item > img, .carousel-inner > .item > a > img {
    display: block;
    width: 100% !important;
    max-width: inherit !important;
    height: auto;
}

.auto-complete-content {
    position:absolute;
    z-index: 100;
    background-color: white;
    border: solid 1px #ccc;
    border-top: none;
    display:none;
    left:0;
    right:0;
}

.auto-complete-item-info{
    font-style: italic;
}

.auto-complete-item {
    /*font-size: 18px;*/
}

.auto-complete-item-selected {
    background-color: #ccc;
}

.auto-complete-item:hover {
    
    cursor: pointer;
}

.relative-wrapper{
    position: relative;
}

.tooltip-wrapper{
    display: inline-block;
}

.tooltip-button-disabled{
    pointer-events: none;
}

.layout-input-bar{
    display: block;
    height: 50px;
    word-break: break-all;
}

.layout-input-bar .help-block{
    display: inline;
}

.layout-input-bar input{
    display: inline;
    margin-top: 10px;
    width: 80%;
}

.layout-input-bar button{
    margin-top: 10px;
    padding: 3px 8px;
    margin-bottom: 0;
    width: 18%;
    display: inline;
    float: right;
    height: 30px;
}

#ProductDetailModal .modal-lg{
    width: 90%;
}

#ProductDetailModal .content{
    min-height: 0px;
}

.input-validation-error{
    background-color: red;
    color: white !important;
}

.item-detail-action{
    cursor: pointer;
}

.stock-info-popover .popover-content table{
    margin-bottom: 0px;
}

.stock-info-popover .popover-content {
    padding: 0px 0px;
}

.economics-employee-info-popover .popover-content {
    padding: 0px 0px;
}

.economics-employee-info-popover{
    max-width: 350px;
    width: 100%;
}

#categories-placeholder .product-box a img{
    height: 150px;
}

select[readonly].select2-hidden-accessible + .select2-container {
  pointer-events: none;
  touch-action: none;
}
select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
  background: #eee;
  box-shadow: none;
}
select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow, select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
  display: none;
}

.select2{
    width: 100% !important;
}

.strict-input{
    border: solid 2px blue;
}

.drag-sort{
    cursor: pointer;
    text-align: center;
}

.input-group-addon.btn-danger {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}

.input-group-addon.btn-danger:hover {
    color: #fff;
    background-color: #c9302c;
    border-color: #ac2925;
}

.input-group-addon.btn-warning {
    color: #fff;
    background-color: #f0ad4e;
    border-color: #eea236;
}

.input-group-addon.btn-warning:hover {
    color: #fff;
    background-color: #ec971f;
    border-color: #d58512;
}

.input-group-addon.btn-success {
    color: #fff;
    background-color: #5cb85c;
    border-color: #4cae4c;
}

.input-group-addon.btn-success:hover {
    color: #fff;
    background-color: #449d44;
    border-color: #398439;
}

.input-group-addon.btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.input-group-addon.btn-primary:hover {
    color: #fff;
    background-color: #286090;
    border-color: #204d74;
}

.note-icon {
    width: 20px;
}

textarea{
    min-height: 80px;
}

.areus-icon{
    width: 20px;
}

.floating-message {
    position: fixed;
    z-index: 1000;
    top: 20px;
    right: 20px;
    background-color: white;
    border: 1px solid black;
    padding: 5px 5px 0px 5px;
    border-radius: 5px;
    display: none;
}

#TransactionConfirmation .alert{
    display: inline-block;
    margin-bottom: 5px;
}

#TransactionConfirmation button{
    display: inline-block;
}

.disabled {
    pointer-events: none;
    opacity: 0.4 !important;
}

.nav-tabs-responsive {
    overflow: auto;
}

.nav-tabs {
    min-width: max-content;
}

.dataTableMaxColumn{
    width: 100% !important;
}

.dataTableMinColumn{
    white-space: nowrap;
}

select{
    width: 100% !important;
}

.image-upload{
    width: fit-content;
}

.pictogram-image-preview{
    width: 200px;
    min-height: 100px;
}

.toggle.btn{
    display:block;
}

a {
    cursor: pointer;
}

